Subject: bug#65726: 29.1.50; Crash in regexp engine

From: Mattias Engdegård <[email-masked]>
Date: Tue, 5 Sep 2023 15:50:05 +0200

5 sep. 2023 kl. 15.08 skrev Stefan Monnier <[email-masked]>:

> Let's see if I can finagle something.

I liked your previous optimisation, so if you could finagle it back without breaking anything that would be pukka.

> Feel free.  To me, it feels too much like testing the presence/absence
> of a very specific bug (i.e. too unlikely that we'll reintroduce that
> exact bug.  It's not like it was a weird case I didn't think of).

Alright, pushed to emacs-29. It's a cheap test and offers at least some kind of protection in the event that someone undoes your handiwork. Such things do happen after all.